########################################################
#   docker build -t general-data:1.0 .
########################################################

FROM openjdk:8

MAINTAINER learshaw@gmail.com

# 创建目录
RUN mkdir -p /usr/local/java && \
    mkdir -p /opt/tool/general-data
WORKDIR /opt/tool

# 添加
COPY general-data-1.0.0-SNAPSHOT.jar /opt/tool/general-data/

# 端口
EXPOSE 9000

CMD ["java", "-Duser.timezone=Asia/Shanghai", "-jar", "/opt/tool/general-data/general-data-1.0.0-SNAPSHOT.jar"]